apiVersion: configsync.gke.io/v1beta1
kind: RepoSync
metadata:
  name: repo-sync
  annotations:
    configmanagement.gke.io/cluster-selector: "loc-9-sel"
spec:
  git:
   repo: "https://gitlab.com/gcp-solutions-public/retail-edge/location-repo-2.git"
   branch: "main"
   dir: "/location-9"
   auth: "none"

---

apiVersion: rbac.authorization.k8s.io/v1
kind: RoleBinding
metadata:
  name: syncs-repo-crb
  annotations:
    configmanagement.gke.io/cluster-selector: loc-9-sel
subjects:
- kind: ServiceAccount
  name: "ns-reconciler-location-9"
  namespace: config-management-system
roleRef:
  kind: ClusterRole
  name: cluster-admin # configsync.gke.io:ns-reconciler
  apiGroup: rbac.authorization.k8s.io
